#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("BAI3_16.INP");
	ofstream f2("BAI3_16.OUT");
	int n,a[10000],i;
	f1>>n;
	for(i=0;i<n;i++)
	{
		f1>>a[i];
	}
	sort(a,a+n);
	if(a[n-1]<0)f2<<0;
	else f2<<a[n-1]+1;
}
